Description

On MySQL, the sources table gets created with a full text index in the 20101018120603_create_sources.rb migration:

CreateSources: migrating ==================================================

-- create_table(:sources)

   > 0.2536s

- execute("ALTER TABLE sources ENGINE = MYISAM")

   > 0.1248s

- execute("ALTER TABLE sources ADD FULLTEXT (value)")

   -> 0.0606s

CreateSources: migrated (0.4396s) =========================================

 db/schema.rb gets written out as:

create_table "sources", :force => true do |t|

    t.text "value" 

  end

  add_index "sources", ["value"], :name => "value"

 However when this is run as part of loading test fixtures, it fails as it doesn't create a full text index:

CREATE TABLE `sources` (`id` int(11) DEFAULT NULL auto_increment PRIMARY KEY, `value` text) ENGINE

=InnoDB

CREATE INDEX `value` ON `sources` (`value`)^[[0m

Mysql::Error: BLOB/TEXT column 'value' used in key specification without a key length: CREATE  IND

EX `value` ON `sources` (`value`)

 I'd suggest the same fix used for #2126 is applied to sources, or change it to use a SQL schema.

Related issues:

Has duplicate Foreman - Bug #1614: SQL index on sources.value column Duplicate 05/10/2012

Associated revisions

Revision bf38fd07 - 03/03/2013 10:14 AM - Dominic Cleal

fixes #2264 - replace fulltext sources.value index with digest

History

#1 - 02/28/2013 10:07 AM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/440

#2 - 03/03/2013 10:14 AM - Ohad Levy

- Target version set to 1.2.0

05/17/2024 1/2

https://projects.theforeman.org/issues/2126
http://stackoverflow.com/questions/7012812/schema-rb-index-different-from-individual-migration-index
https://github.com/theforeman/foreman/pull/440


#3 - 03/03/2013 11:27 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset bf38fd07f855b2018916a4d1cbe850d65dca7ba3.

#4 - 03/15/2016 07:52 AM - Dominic Cleal

- Has duplicate Bug #1614: SQL index on sources.value column added

#5 - 01/06/2018 11:09 PM - The Foreman Bot

- Description updated

- Pull request https://github.com/theforeman/foreman/pull/5153 added

#6 - 01/06/2018 11:10 PM - Anonymous

- Pull request deleted (https://github.com/theforeman/foreman/pull/5153)
